#
# spec file for package jabbertest
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           jabbertest
Version:	1.0.2
Release:	lp154.2.8
License:	GPL-2.0
Summary:	Test Suite for Jabber server
Url:		http://jabbertest.sourceforge.net/
Group:		System/Benchmark
Source:		http://downloads.sourceforge.net/project/jabbertest/jabber-testsuite/1.0.2/jabber-testsuite-1.0.2.tgz
Patch0:		jabbertest-ipv6.patch
BuildRequires:	libexpat-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Jabber Test Suite (JabberTest) is a collection of software that can be used
to test various characteristics of your jabber-based service. Data that can be
collected includes Time to message delivery, Number of messages sent/received,
Order of message delivery, Maximum concurent connections.

%prep
%setup -n testsuite
cp Makefile.linux Makefile
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="-Wall %optflags"

%install
install -d -m 755 %{?buildroot}%_bindir
install -m 755 msgloadsnd %{?buildroot}%_bindir
install -m 755 msgloadrec %{?buildroot}%_bindir
install -m 755 userreg %{?buildroot}%_bindir
install -m 755 pasvlogin %{?buildroot}%_bindir

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README SUPPORTED TODO USING
%_bindir/*

%changelog
* Thu Apr 21 2016 fweiss@suse.com
- initializing hints before calling getaddrinfo
* Thu Nov 12 2015 fweiss@suse.com
- now supports IPv6
* Thu Oct 22 2015 fweiss@suse.com
- initial build
